RTF_IPC_DESTROY(2)

NAME
rtf_ipc_destroy - destroy a real-time fifo

SYNOPSIS
#define MODULE
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/version.h>
#include <linux/errno.h>
#include <linux/rtf.h>
#include rt_ipc.h

int rtf_ipc_destroy(unsigned int fifo);

DESCRIPTION
rtf_ipc_destroy removes a real-time fifo (RT-FIFO) previously created with rtf_ipc_create(2). fifo is then available for reuse by another call to rtf_ipc_create(2).

The rt_ipc RT-FIFO is a mechanism, implemented as a character device, to communicate between real-time tasks and ordinary Linux processes. It is based on the Real-Time Linux RT-FIFO mechanism. The rtf_* functions are used by the real-time tasks; Linux processes use standard character device access functions such as read(2), write(2), and select(2).

RETURN VALUE
On success, 0 is returned. On failure, a negative value is returned as described below.

ERRORS

-EINVAL
    fifo is not a valid RT-FIFO identifier.

AUTHOR
Jerry Epplin <JerryEpplin@worldnet.att.net>

SEE ALSO
rtf_ipc_create(2), rtf_receive(2), rtf_send(2)